Create a new configuration
curl --request POST \
--url https://api.honeyhive.ai/v1/configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"provider": "<string>",
"parameters": {
"model": "<string>",
"hyperparameters": {},
"selectedFunctions": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {}
}
],
"forceFunction": {},
"template": [
{
"role": "<string>",
"content": "<string>"
}
]
},
"type": "LLM",
"env": [],
"tags": [
"<string>"
],
"user_properties": {}
}
'import requests
url = "https://api.honeyhive.ai/v1/configurations"
payload = {
"name": "<string>",
"provider": "<string>",
"parameters": {
"model": "<string>",
"hyperparameters": {},
"selectedFunctions": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {}
}
],
"forceFunction": {},
"template": [
{
"role": "<string>",
"content": "<string>"
}
]
},
"type": "LLM",
"env": [],
"tags": ["<string>"],
"user_properties": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
provider: '<string>',
parameters: {
model: '<string>',
hyperparameters: {},
selectedFunctions: [{id: '<string>', name: '<string>', description: '<string>', parameters: {}}],
forceFunction: {},
template: [{role: '<string>', content: '<string>'}]
},
type: 'LLM',
env: [],
tags: ['<string>'],
user_properties: {}
})
};
fetch('https://api.honeyhive.ai/v1/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acknowledged": true,
"insertedId": "<string>"
}Configurations
Create a new configuration
deprecated
Create a new LLM or pipeline configuration with provider, parameters, and environment settings.
POST
/
v1
/
configurations
Create a new configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for POST /configurations
Maximum string length:
200Minimum string length:
1Show child attributes
Show child attributes
Available options:
LLM, pipeline Available options:
dev, staging, prod Show child attributes
Show child attributes
Was this page helpful?
⌘I

